Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.tableValidation.model
Interface VTTableValidationStyleProperty

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, VTStyleProperty

All Known Implementing Classes:
  VTTableValidationStylePropertyImpl

    public interface VTTableValidationStyleProperty

extends VTStyleProperty

A representation of the model object 'Style Property'.

The following features are supported:

- `Column Width`
- `Column Name`
- `Image Path`

See Also:
  `VTTableValidationPackage.getTableValidationStyleProperty()`

Method Summary
`String` | `getColumnName()` Returns the value of the 'Column Name' attribute.
`int` | `getColumnWidth()` Returns the value of the 'Column Width' attribute.
`String` | `getImagePath()` Returns the value of the 'Image Path' attribute.
`void` | `setColumnName(String value)` Sets the value of the ' `Column Name`' attribute.
`void` | `setColumnWidth(int value)` Sets the value of the ' `Column Width`' attribute.
`void` | `setImagePath(String value)` Sets the value of the ' `Image Path`' attribute.

Methods inherited from interface org.eclipse.emf.ecp.view.template.model.VTStyleProperty
`equalStyles`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getColumnWidth

    int getColumnWidth()

  Returns the value of the 'Column Width' attribute.

  If the meaning of the 'Column Width' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Width' attribute.
  See Also:
    `setColumnWidth(int)`, `VTTableValidationPackage.getTableValidationStyleProperty_ColumnWidth()`

### setColumnWidth

    void setColumnWidth(int value)

  Sets the value of the ' `Column Width`' attribute.

  Parameters:
    `value` - the new value of the 'Column Width' attribute.
  See Also:
    `getColumnWidth()`

### getColumnName

    String getColumnName()

  Returns the value of the 'Column Name' attribute.

  If the meaning of the 'Column Name' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Column Name' attribute.
  See Also:
    `setColumnName(String)`, `VTTableValidationPackage.getTableValidationStyleProperty_ColumnName()`

### setColumnName

    void setColumnName(String value)

  Sets the value of the ' `Column Name`' attribute.

  Parameters:
    `value` - the new value of the 'Column Name' attribute.
  See Also:
    `getColumnName()`

### getImagePath

    String getImagePath()

  Returns the value of the 'Image Path' attribute.

  If the meaning of the 'Image Path' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Image Path' attribute.
  See Also:
    `setImagePath(String)`, `VTTableValidationPackage.getTableValidationStyleProperty_ImagePath()`

### setImagePath

    void setImagePath(String value)

  Sets the value of the ' `Image Path`' attribute.

  Parameters:
    `value` - the new value of the 'Image Path' attribute.
  See Also:
    `getImagePath()`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.